﻿@model ARGNSMDFootwearAccess

@{
    string mTrId = "TR_FootwearAccessories" + Model.LineId;
    string mFAccess_SL = "FAccess_SL" + Model.LineId;
    string mFAccess_Eyelets = "FAccess_Eyelets" + Model.LineId;
    string mFAccess_Buckles = "FAccess_Buckles" + Model.LineId;
    string mFAccess_Enclosures = "FAccess_Enclosures" + Model.LineId;
    string mFAccess_Labelling = "FAccess_Labelling" + Model.LineId;
    string mFAccess_Others = "FAccess_Others" + Model.LineId;
    string mIsNew = "FootwearAccessories_IsNew" + Model.LineId;

    <tr id='@mTrId'>
        <td style="width:50px">
            <button onclick="DeleteRow('@mTrId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span></button>
            <input type="hidden" id="@Model.LineId" value="@Model.LineId" />
        </td>
        <td><input id='@mFAccess_SL' class="form-control" value='@Model.U_SLaces' onchange="LineWasChanged('@Model.LineId','FootwearAccess');" /></td>
        <td><input id='@mFAccess_Eyelets' class="form-control" value='@Model.U_Eyelets' onchange="LineWasChanged('@Model.LineId','FootwearAccess');" /></td>
        <td><input id='@mFAccess_Buckles' class="form-control" value='@Model.U_Buckles' onchange="LineWasChanged('@Model.LineId','FootwearAccess');" /></td>
        <td><input id='@mFAccess_Enclosures' class="form-control" value='@Model.U_Enclosures' onchange="LineWasChanged('@Model.LineId','FootwearAccess');" /></td>
        <td><input id='@mFAccess_Labelling' class="form-control" value='@Model.U_Labelling' onchange="LineWasChanged('@Model.LineId','FootwearAccess');" /></td>
        <td><input id='@mFAccess_Others' class="form-control" value='@Model.U_Others' onchange="LineWasChanged('@Model.LineId','FootwearAccess');" /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.MappedUdf != null && Model.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                DictRow.ListUFD1,
                                "FldValue",
                                "Descr", DictRow.Value), new { @Id = "LINEUDF_FAccessories_" + DictRow.UDFName + Model.LineId, @Name = "LINEUDF_FAccessories_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + Model.LineId + "','FootwearAccess');" })
                        }
                        else
                        {
                            <input id='LINEUDF_FAccessories_@DictRow.UDFName@Model.LineId' name="LINEUDF_FAccessories_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@Model.LineId','FootwearAccess');" />
                        }
                    </td>
                }
            }
        }
    </tr>
}